"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const integration = require('@segment/analytics.js-integration');
const tracktor_1 = __importDefault(require("../../tracktor"));
const VisualTagger = integration('Visual Tagger')
    .global('Tracktor')
    .option('workspaceId', '')
    .option('sourceId', '');
VisualTagger.prototype.initialize = function () {
    var tracktor = new tracktor_1.default(this.options.workspaceId, this.options.sourceId, window.document);
    window.Tracktor = tracktor_1.default;
    tracktor.start();
};
VisualTagger.prototype.loaded = function () {
    return window.Tracktor.instance.isInitialized();
};
exports.default = VisualTagger;
//# sourceMappingURL=integration.js.map