"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const analytics_js_core_1 = require("@segment/analytics.js-core");
const analytics_js_integration_segmentio_1 = __importDefault(require("@segment/analytics.js-integration-segmentio"));
const integration_1 = __importDefault(require("./integration"));
window.analytics = new analytics_js_core_1.constructor()
    .use(analytics_js_integration_segmentio_1.default)
    .use(integration_1.default)
    .add(new analytics_js_integration_segmentio_1.default())
    .add(new integration_1.default())
    .initialize({
    'Segment.io': {
        apiKey: process.env.WRITE_KEY
    },
    'Visual Tagger': {
        sourceId: process.env.SOURCE_ID,
        workspaceId: process.env.WORKSPACE_ID
    }
});
//# sourceMappingURL=index.js.map